rrr.fit {secure} | R Documentation

## Fit reduced rank regression

### Description

fit multivariate reduced rank regression for a specified rank.

### Usage

    rrr.fit(Y, X, nrank = nrank)

### Arguments

`Y` | a matrix of response (n by q)
`X` | a matrix of covariate (n by p)
`nrank` | an integer specifying the desired rank

### Value

`coef` | reduced rank estimate

### Examples

    #require(secure)
    Y <- matrix(rnorm(400), 100, 4)
    X <- matrix(rnorm(800), 100, 8)
    rrr.fit <- rrr.fit(Y, X, nrank = 3)

[Package secure version 0.5 Index]